Bug 5574 - 3.4 cataloguing improvements
Summary: 3.4 cataloguing improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 3495 4263 4931 5680 5681 5682 5690 5691 5692 5699 5700 5718 5719 5720 5724 5725 5726 5772 5882
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-04 21:47 UTC by Paul Poulain
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-01-04 21:47:56 UTC
Described on the wiki :
http://wiki.koha-community.org/wiki/Batch_Modification_Biblio_Record_Level
and some other fixes and improvements
Comment 1 Chris Cormack 2011-01-05 19:50:41 UTC
Pushed to new/awaiting_qa/enh/bug_5574
Comment 2 Owen Leonard 2011-01-05 21:00:37 UTC
Testing /cgi-bin/koha/tools/batchedit.pl I loaded a text file of barcodes and tried to modify 650a (condition "all"). Upon submission I got this error:

Can't use string ("0") as a HASH ref while "strict refs" in use at /home/oleonard/kohaclone/tools/batchedit.pl line 202, <fh00001barcodes2..txt> line 26.
Comment 3 Paul Poulain 2011-01-10 16:31:06 UTC
(In reply to comment #2)
> Testing /cgi-bin/koha/tools/batchedit.pl I loaded a text file of barcodes and
> tried to modify 650a (condition "all"). Upon submission I got this error:
> 
> Can't use string ("0") as a HASH ref while "strict refs" in use at
> /home/oleonard/kohaclone/tools/batchedit.pl line 202, <fh00001barcodes2..txt>
> line 26.

problem fixed by ae80aa9cde606fcefc291e0ba695dbb29e6acc02
Comment 4 MJ Ray (software.coop) 2011-02-04 09:14:26 UTC
This bug is mentioned in:
pull request for bug 5574 http://lists.koha-community.org/pipermail/koha-patches/2011-January/013506.html
Comment 5 Owen Leonard 2011-08-16 15:57:02 UTC
Since this bug depends on several others I'm removing Patch-sent status.
Comment 6 Paul Poulain 2011-09-12 12:31:33 UTC
hehe... seems i've found a small glitch in bugzilla: if you remove the patch-SENT but don't remove the patch status, it's still "needs signoff". So, i'll update the bug to fix this problem

1st try: select "patch-SENT", remove "needs signoff", remove patch-SENT, save bug
Comment 7 Paul Poulain 2012-11-29 15:41:36 UTC
This patch was an omnibus, many things made their way into Koha, some have failed QA, but I think it's not needed to keep this one open